curl --request GET \
--url https://api.home.datanumia.com/api/v2/smt-jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.home.datanumia.com/api/v2/smt-jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.home.datanumia.com/api/v2/smt-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v2/smt-jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v2/smt-jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v2/smt-jobs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v2/smt-jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"_links": {
"first": {
"href": "https://<DATANUMIA_ROOT_URL>/smt-jobs?page=0&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"prev": {
"href": "https://<DATANUMIA_ROOT_URL>/smt-jobs?page=0&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"self": {
"href": "https://<DATANUMIA_ROOT_URL>/smt-jobs?page=1&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"next": {
"href": "https://<DATANUMIA_ROOT_URL>/smt-jobs?page=1&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"last": {
"href": "https://<DATANUMIA_ROOT_URL>/smt-jobs?page=1&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
}
},
"page": {
"totalElements": 122,
"totalPages": 2,
"number": 1,
"size": 100
},
"_embedded": {
"jobs": [
{
"archive": "myOperationsArchive.tar.gz",
"state": {
"current": "DONE",
"ts": "2017-07-21T17:32:28Z"
},
"report": {
"error": {
"code": "INVALID_ARCHIVE_FORMAT",
"message": "<string>"
},
"overview": {
"nbOperationsTotal": 146,
"nbOperationsOK": 146,
"nbOperationsKO": 0
}
},
"_links": {
"self": {
"href": "https://<DATANUMIA_ROOT_URL>/smt-jobs/{job-id}"
}
}
}
]
}
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "INVALID_AUTHORIZATION_HEADER_VALUE",
"errorDescription": "The Authorization header is invalid"
}{
"errorCode": "ACCESS_DENIED",
"errorDescription": "The Authorization token does not have permission to the resource"
}This response has no body data.get the list of jobs
Returns the list of jobs that can be requested Results are paginated.
curl --request GET \
--url https://api.home.datanumia.com/api/v2/smt-jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.home.datanumia.com/api/v2/smt-jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.home.datanumia.com/api/v2/smt-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v2/smt-jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v2/smt-jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v2/smt-jobs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v2/smt-jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"_links": {
"first": {
"href": "https://<DATANUMIA_ROOT_URL>/smt-jobs?page=0&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"prev": {
"href": "https://<DATANUMIA_ROOT_URL>/smt-jobs?page=0&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"self": {
"href": "https://<DATANUMIA_ROOT_URL>/smt-jobs?page=1&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"next": {
"href": "https://<DATANUMIA_ROOT_URL>/smt-jobs?page=1&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
},
"last": {
"href": "https://<DATANUMIA_ROOT_URL>/smt-jobs?page=1&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z"
}
},
"page": {
"totalElements": 122,
"totalPages": 2,
"number": 1,
"size": 100
},
"_embedded": {
"jobs": [
{
"archive": "myOperationsArchive.tar.gz",
"state": {
"current": "DONE",
"ts": "2017-07-21T17:32:28Z"
},
"report": {
"error": {
"code": "INVALID_ARCHIVE_FORMAT",
"message": "<string>"
},
"overview": {
"nbOperationsTotal": 146,
"nbOperationsOK": 146,
"nbOperationsKO": 0
}
},
"_links": {
"self": {
"href": "https://<DATANUMIA_ROOT_URL>/smt-jobs/{job-id}"
}
}
}
]
}
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "INVALID_AUTHORIZATION_HEADER_VALUE",
"errorDescription": "The Authorization header is invalid"
}{
"errorCode": "ACCESS_DENIED",
"errorDescription": "The Authorization token does not have permission to the resource"
}This response has no body data.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
the page to be fetched. Default value is 0
the page size to be fetched. Default value is 100. Max value is 100
x <= 100the current state of the jobs be fetched
ERROR, DONE, IN_PROGRESS, SUBMITTED, TIMEOUT Define the start timestamp for the range of jobs. Jobs objects having their state updated within the range are returned.
The supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'
Default is now -7 days. Period between beginTs and endTs is at most 30 days.
Define the end timestamp for the range of jobs. Jobs objects having their state updated within the range are returned.
The supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'
Default is now. Period between beginTs and endTs is at most 30 days.